<?php

namespace Modules\Logger\Services;

use Modules\Logger\Services\ChromePhp as Logger;

class DebugConsoleService {
    /**
     * Forward calls to ChromePHP class methods.
     */
    public function __call($name, $arguments) {
        if (method_exists(Logger::class, $name)) {
            return forward_static_call_array([Logger::class, $name], $arguments);
        }

        Logger::error('Method '.$name.' does not exists in '.Logger::class);
    }
}